import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
export declare const Avatar: {
    ({ alt, src, size, icon, onClick }: propsTypes): React.ReactElement;
    propTypes: {
        /**
         * Used in combination with src to provide an alt attribute for the rendered img element
         */
        alt: PropTypes.Requireable<string>;
        /**
         * The src attribute for the img element
         */
        src: PropTypes.Requireable<string>;
        /**
         * How large should the avatar be?
         */
        size: PropTypes.Requireable<string>;
        /**
         * onClick handler for Avatar component
         */
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        alt: null;
        src: null;
        size: string;
        onClick: undefined;
    };
};
